Skip to content

Batch delete resources

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Delete resources in batches by resource unique identifier and permission group

Method name

ManagementClient.delete_resources_batch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
namespacestringNo-The code of the permission group (permission space). Do not pass it to get the default permission group.default
codeListstring[]No-Resource Code List Array length limit: 50.["code1","code2"]
idsstring[]No-Resource ID list Array length limit: 50.["6250f12d5dxxxx9bcfcf784b","6250f12d5dxxxx9bcfcf784b"]

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

IsSuccessDto

NameTypeIs it requiredDescriptionExample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.